Get job for Salad Transcription Lite API
curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/transcription-lite/jobs/{job_id} \
--header 'Salad-Api-Key: <api-key>'import requests
url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/transcription-lite/jobs/{job_id}"
headers = {"Salad-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/transcription-lite/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"inference_endpoint_name": "transcription-lite",
"input": {
"property1": "value1",
"property2": "value2"
},
"metadata": null,
"organization_name": "acme-corp",
"status": "pending",
"events": [],
"create_time": "2024-05-01T19:00:00Z",
"update_time": "2024-05-01T19:00:00Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "Not Found",
"instance": "72ea5f29"
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 409,
"detail": "Too Many Requests",
"instance": "cd6306ee"
}{
"type": "about:blank",
"title": "Unknown Error",
"status": 500,
"detail": "Unknown Error",
"instance": "188f9bbb"
}Transcription Lite API
Get job for Salad Transcription Lite API
Retrieves a job for Salad Transcription Lite API
GET
/
organizations
/
{organization_name}
/
inference-endpoints
/
transcription-lite
/
jobs
/
{job_id}
Get job for Salad Transcription Lite API
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$The ID of the job for Salad Transcription Lite API
Response
Ok
Job input schema for Salad Transcription Lite API
Show child attributes
Show child attributes
The inference endpoint name
Available options:
pending, running, succeeded, cancelled, failed Maximum array length:
1000Show child attributes
Show child attributes
The organization name
Show child attributes
Show child attributes
Was this page helpful?